using ComputerStoreContracts.BindingModels;
using ComputerStoreContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputerStoreContracts.BusinessLogicContracts;

public interface IRequestBusinessLogicContract
{
    List<RequestViewModel>? ReadList(RequestBindingModel? model);
    RequestViewModel? ReadElement(RequestBindingModel model);
    void Create(RequestBindingModel model);
    void Update(RequestBindingModel model);
    void Delete(RequestBindingModel model);
}
